- Qt 6.6
- Qt GUI
- C++ Classes
- QBitmap
- Qt 6.6.2 Reference Documentation

# Obsolete Members for QBitmap

The following members of class QBitmap are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated (6.0))` | QBitmap(const QPixmap &pixmap)
`(deprecated (6.0))` | QBitmap(const QSize &size)
`(deprecated (6.0))` QBitmap & | operator=(const QPixmap &pixmap)

## Member Function Documentation

### `[explicit]` QBitmap::QBitmap(const QPixmap &pixmap)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use fromPixmap instead. Constructs a bitmap that is a copy of the given pixmap.

If the pixmap has a depth greater than 1, the resulting bitmap will be dithered automatically.

See also QPixmap::depth(), fromImage(), and fromData().

### `[explicit]` QBitmap::QBitmap(const QSize &size)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use fromPixmap instead.

Constructs a bitmap with the given size. The pixels in the bitmap are uninitialized.

See also clear().

### QBitmap &QBitmap::operator=(const QPixmap &pixmap)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use fromPixmap instead.

This is an overloaded function.

Assigns the given pixmap to this bitmap and returns a reference to this bitmap.

If the pixmap has a depth greater than 1, the resulting bitmap will be dithered automatically.

See also QPixmap::depth().